Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class UserHierarchyBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.UserHierarchyBean

public class UserHierarchyBean
extends BaseBean

The UserHiearchy EJB implementation.

See Also:
  Serialized Form

Field Summary
`java.lang.String` | `groupId` The group id.
`java.lang.String` | `portalId` The portal id.
`java.lang.String` | `userId` The user id.

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`UserHierarchyBean()`

Method Summary
`void` | `ejbCreate(UserHierarchyPK pk)` Ejb create.
`void` | `ejbPostCreate(UserHierarchyPK pk)` Ejb post create.
`java.lang.String` | `getGroupId()` Get group id.
`java.lang.String` | `getPortalId()` Get portal id.
`java.lang.String` | `getUserId()` Get user id.

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portalId

    public java.lang.String portalId

  The portal id.

### groupId

    public java.lang.String groupId

  The group id.

### userId

    public java.lang.String userId

  The user id.

Constructor Detail

### UserHierarchyBean

    public UserHierarchyBean()

Method Detail

### ejbCreate

    public void ejbCreate(UserHierarchyPK pk)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - creation exception.
    `RemoteException` - container exception.

### ejbPostCreate

    public void ejbPostCreate(UserHierarchyPK pk)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
  Throws:
    `CreateException` - creation exception.
    `RemoteException` - container error.

### getPortalId

    public java.lang.String getPortalId()

  Get portal id.
  Returns:
    `String` the portal id.

### getGroupId

    public java.lang.String getGroupId()

  Get group id.
  Returns:
    `String` the group id.

### getUserId

    public java.lang.String getUserId()

  Get user id.
  Returns:
    `String` the user id.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved